Clear a product's size-curve category
curl --request DELETE \
--url https://{companyName}.api.joinluminous.com/external/api/v1/products/{productId}/distribution-template-category \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/products/{productId}/distribution-template-category"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/products/{productId}/distribution-template-category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Size-curve category removed from SKU."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Distribution Templates
Clear a product's size-curve category
Removes the size-curve category assignment from a master SKU. After
clearing, the product returns null for distribution_template_category
on the product response and no longer participates in category × warehouse
resolution.
DELETE
/
products
/
{productId}
/
distribution-template-category
Clear a product's size-curve category
